deviceappender.hxx File Reference
`#include <log4cplus/config.hxx>`
`#include <boost/utility/enable_if.hpp>`
`#include <boost/type_traits/is_same.hpp>`
`#include <boost/mpl/not.hpp>`
`#include <boost/iostreams/operations.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <log4cplus/appender.h>`
Include dependency graph for deviceappender.hxx:

Go to the source code of this file.

## Classes

struct | log4cplus::device_appender_detail::device_type_traits< T >
struct | log4cplus::device_appender_detail::device_type_traits< boost::shared_ptr< T > >
class | log4cplus::DeviceAppender< Device >

## Namespaces

namespace | log4cplus
namespace | log4cplus::device_appender_detail

## Functions

template<typename T>
SharedAppenderPtr | log4cplus::make_device_appender (T &d, bool close_device=true)
template<typename T>
SharedAppenderPtr | log4cplus::make_device_appender (T &d, const helpers::Properties &props)
template<typename T>
SharedAppenderPtr | log4cplus::make_device_appender_sp (boost::shared_ptr< T > const &p, bool close_device=true)
template<typename T>
SharedAppenderPtr | log4cplus::make_device_appender_sp (boost::shared_ptr< T > const &p, const helpers::Properties &props)